Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateInput/FrmEstimateInputAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateInput/FrmEstimateInputAuxiliary.cs	(revision 363)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateInput/FrmEstimateInputAuxiliary.cs	(revision 364)
@@ -266,6 +266,7 @@
                 newpage.EntryDGV.CellClick += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvEntryData_CellClick);
                 newpage.EntryDGV.CellDoubleClick += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvEntryData_CellDoubleClick);
                 newpage.EntryDGV.CellEnter += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvEntryData_CellEnter);
+                newpage.EntryDGV.CellMouseClick += new System.Windows.Forms.DataGridViewCellMouseEventHandler(this.dgvEntryData_CellMouseClick);
                 newpage.EntryDGV.CellValidated += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvEntryData_CellValidated);
                 newpage.EntryDGV.CellValueChanged += new DataGridViewCellEventHandler(this.dgvEntryData_CellValueChanged);
                 newpage.EntryDGV.CurrentCellChanged += new System.EventHandler(this.dgvEntryData_CurrentCellChanged);
@@ -6069,5 +6070,291 @@
             }
         }
         #endregion
+
+        #region 工事承認確認
+        /// <summary>
+        /// 工事が承認されているか確認する
+        /// </summary>
+        /// <returns></returns>
+        private bool ApprovalCheck()
+        {
+            IOProcessApproval AppDB = new IOProcessApproval();
+            try
+            {
+                // 工事予算の承認データを取得する
+                int Code = ClsExcute.AppovalList.First(x => x.Value.Equals("積算見積書承認")).Key;
+                string strSQL = AppDB.CreatePrimarykeyString(m_ConstructionCode, Code, CommonDefine.s_Default_OrderNo, 1);
+                ProcessApproval AppRec = new ProcessApproval();
+                if (!AppDB.SelectAction(strSQL, ref AppRec)) return false;
+
+                // 承認されているか？
+                if (AppRec.ApprovalStatus != (int)CommonDefine.ApprovalStatus.Approval) return false;
+
+                // 承認されている場合
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                AppDB.close(); AppDB = null;
+            }
+        }
+        #endregion
+
+        #region コンテキストメニュー定義
+        /// <summary>
+        /// コンテキストメニュー定義
+        /// </summary>
+        private enum ConMenuNo
+        {
+            /// <summary>
+            /// コピー
+            /// </summary>
+            ExecCopy = 0,
+            /// <summary>
+            /// 貼り付け
+            /// </summary>
+            ExecPaste,
+            /// <summary>
+            /// １行削除
+            /// </summary>
+            ExecOnceDel,
+            /// <summary>
+            /// 1行挿入
+            /// </summary>
+            ExecOnceInsert,
+            /// <summary>
+            /// 1行追加
+            /// </summary>
+            ExecOnceAdd,
+        }
+        string[] ContextM = new string[] { "コピー", "貼り付け", "１行削除", "１行挿入", "１行追加" };
+        #endregion
+        #region 明細グリッド行コンテキストメニュー作成
+        /// <summary>
+        /// 明細グリッド行コンテキストメニュー作成
+        /// </summary>
+        private void SetExecMenuStrip()
+        {
+            try
+            {
+                // 承認されていれば処理しない
+                if (ApprovalCheck()) return;
+
+                m_ExecMenuStrip.Items.Clear();
+                int nLoopCnt = Enum.GetNames(typeof(ConMenuNo)).Length;
+                for (int i = 0; i < nLoopCnt; i++)
+                {
+                    //イベントの登録
+                    EventHandler handle = null;
+                    switch (i)
+                    {
+                        case (int)ConMenuNo.ExecCopy:
+                            handle = GridRowCopyExecute;
+                            break;
+                        case (int)ConMenuNo.ExecPaste:
+                            handle = GridRowPasteExecute;
+                            break;
+                        case (int)ConMenuNo.ExecOnceDel:
+                            handle = GridRowRemoveExecute;
+                            break;
+                        case (int)ConMenuNo.ExecOnceInsert:
+                            handle = GridRowInsertExecute;
+                            break;
+                        case (int)ConMenuNo.ExecOnceAdd:
+                            handle = GridRowAddExecute;
+                            break;
+                    }
+                    // 区切り線
+                    if (i > 0) m_ExecMenuStrip.Items.Add("-");
+                    // 行のセット
+                    m_ExecMenuStrip.Items.Add(new ToolStripMenuItem(ContextM[i], null, handle));
+                }
+                // コンテキストメニューをセットする
+                //dgvMaster.ContextMenuStrip = m_ExecMenuStrip;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 右クリックコンテキストメニュー表示
+        /// <summary>
+        /// 右クリックコンテキストメニュー表示
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvMaster_ContextMenu(object sender, DataGridViewCellMouseEventArgs e)
+        {
+            try
+            {
+                // メニューが無ければ処理しない
+                if (m_ExecMenuStrip.Items.Count < 1) return;
+
+                // グリッド取得
+                int TabCnt = TabCollections.SelectedIndex;
+                DataGridViewEX dgv = m_EntryPage[TabCnt].EntryDGV;
+                int idx = dgv.CurrentCell.RowIndex;
+
+                // 最終行は追加有
+                int nLastRow = (int)ConMenuNo.ExecOnceAdd * 2;
+                if (idx == (dgv.RowCount - 1))
+                {
+                    m_ExecMenuStrip.Items[nLastRow].Enabled = true;
+                }
+                else
+                {
+                    m_ExecMenuStrip.Items[nLastRow].Enabled = false;
+                }
+                //コンテキストメニューを表示する
+                m_ExecMenuStrip.Show();
+                //マウスカーソルの位置を画面座標で取得
+                Point p = Control.MousePosition;
+                m_ExecMenuStrip.Top = p.Y;
+                m_ExecMenuStrip.Left = p.X;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 明細グリッド：コピー
+        /// <summary>
+        /// 明細グリッド：コピー
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void GridRowCopyExecute(object sender, EventArgs e)
+        {
+            try
+            {
+                // グリッド取得
+                int TabCnt = TabCollections.SelectedIndex;
+                DataGridViewEX dgv = m_EntryPage[TabCnt].EntryDGV;
+                if (dgv.CurrentRow == null) return;
+
+                // 明細グリッドコピー処理
+                dgv.RowCopyAction();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 明細グリッド：貼り付け
+        /// <summary>
+        /// 明細グリッド：貼り付け
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void GridRowPasteExecute(object sender, EventArgs e)
+        {
+            try
+            {
+                // グリッド取得
+                int TabCnt = TabCollections.SelectedIndex;
+                DataGridViewEX dgv = m_EntryPage[TabCnt].EntryDGV;
+                if (dgv.CurrentRow == null) return;
+
+                // 明細グリッド貼り付け処理
+                dgv.RowPasteAction(true);
+
+                // 変更フラグON
+                m_bChengeAns = true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 明細グリッド：行削除
+        /// <summary>
+        /// 明細グリッド：行削除
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void GridRowRemoveExecute(object sender, EventArgs e)
+        {
+            try
+            {
+                // グリッド取得
+                int TabCnt = TabCollections.SelectedIndex;
+                DataGridViewEX dgv = m_EntryPage[TabCnt].EntryDGV;
+                if (dgv.CurrentRow == null) return;
+
+                // 明細グリッド非表示
+                dgv.CurrentRow.Visible = false;
+
+                // 変更フラグON
+                m_bChengeAns = true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 明細グリッド：行挿入
+        /// <summary>
+        /// 明細グリッド：行挿入
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void GridRowInsertExecute(object sender, EventArgs e)
+        {
+            try
+            {
+                // グリッド取得
+                int TabCnt = TabCollections.SelectedIndex;
+                DataGridViewEX dgv = m_EntryPage[TabCnt].EntryDGV;
+                if (dgv.CurrentRow == null) return;
+
+                // 明細グリッド挿入処理
+                dgv.RowInsertAction();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 明細グリッド：行追加
+        /// <summary>
+        /// 明細グリッド：行追加
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void GridRowAddExecute(object sender, EventArgs e)
+        {
+            try
+            {
+                // グリッド取得
+                int TabCnt = TabCollections.SelectedIndex;
+                DataGridViewEX dgv = m_EntryPage[TabCnt].EntryDGV;
+                if (dgv.CurrentRow == null) return;
+
+                // 明細グリッド追加処理
+                dgv.RowAddAction();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReserveEntry/FrmMateResEntAux.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReserveEntry/FrmMateResEntAux.cs	(revision 363)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReserveEntry/FrmMateResEntAux.cs	(revision 364)
@@ -693,7 +693,7 @@
                 sql.AppendFormat(" where Cmi.CONSTRUCTIONCODE = {0} ", ConstructionCode);
                 sql.AppendLine(" And Mri.CONSTRUCTIONCODE = Cmi.CONSTRUCTIONCODE");
                 sql.AppendLine(" And Mri.MATERIALITEMCODE = Cmi.MATERIALITEMCODE");
-                sql.AppendLine(" And Mri.PROCESSDATE = Cmi.PROCESSDATE");
+                sql.AppendLine(" And DATE(Mri.PROCESSDATE) = DATE(Cmi.PROCESSDATE)");
                 sql.AppendFormat(" And Mri.RECKIND = {0} ", (int)MaterialRecordInfo.RecKindDef.Rental);
 
                 // データ取得
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMateRetEntAux.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMateRetEntAux.cs	(revision 363)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMateRetEntAux.cs	(revision 364)
@@ -547,7 +547,7 @@
                 sql.AppendFormat(" where Cmi.ConstructionCode = {0} ", ConstructionCode);
                 sql.AppendLine(" And Mri.CONSTRUCTIONCODE = Cmi.CONSTRUCTIONCODE");
                 sql.AppendLine(" And Mri.MATERIALITEMCODE = Cmi.MATERIALITEMCODE");
-                sql.AppendLine(" And DATE(Mri.ENTRYDATE) = DATE(Cmi.PROCESSDATE)");
+                sql.AppendLine(" And DATE(Mri.PROCESSDATE) = DATE(Cmi.PROCESSDATE)");
                 sql.AppendFormat(" And Mri.RECKIND = {0}", (int)MaterialRecordInfo.RecKindDef.Rental);
 
                 sql.AppendLine(" order by");
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmEntryDeposit.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmEntryDeposit.cs	(revision 363)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmEntryDeposit.cs	(revision 364)
@@ -855,7 +855,7 @@
                 MessageBoardData data = new MessageBoardData();
 
                 // キーコードセット
-                data.RecordNumber = mbtDB.SelectMaxMessageBoardTergetKeyCount("", false) + 1;
+                data.RecordNumber = mbtDB.GetMaxRecordNumber("", false) + 1;
                 data.BranchNumber = 0;
                 string strWhere = mbdDB.CreatePrimarykeyString(data.RecordNumber, data.BranchNumber);
 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmMessageBoardReader.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmMessageBoardReader.cs	(revision 363)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmMessageBoardReader.cs	(revision 364)
@@ -573,7 +573,7 @@
                 MesHisRec.RecordNumber = m_RecordNumber;                            // レコード番号
                 MesHisRec.BranchNumber = m_BranchNumber;                            // レコード枝番
                 string strInsertSQL = MesHisDB.CreatePrimarykeyString(m_RecordNumber, m_BranchNumber);
-                MesHisRec.SeqNum = MesHisDB.SelectMaxSeqNoCount(strInsertSQL) + 1;        // 順番
+                MesHisRec.SeqNum = MesHisDB.GetMaxSeqNo(strInsertSQL) + 1;        // 順番
                 MesHisRec.BrowsingCode = CommonMotions.LoginUserData.PersonCode;    // 閲覧者コード
                 MesHisRec.BrowsingDate = DateTime.Now;                              // 閲覧日付
 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmMessageBoardWriter.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmMessageBoardWriter.cs	(revision 363)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmMessageBoardWriter.cs	(revision 364)
@@ -614,26 +614,28 @@
         /// <returns></returns>
         private bool MessageBoardEntry()
         {
-            IOMessageBoardData mbdDB = new IOMessageBoardData();
-            IOMessageBoardTerget mbtDB = new IOMessageBoardTerget();
+            IOMessageBoardData DataDB = new IOMessageBoardData();
+            IOMessageBoardTerget TergetDB = new IOMessageBoardTerget();
+            IOMessageBrowsingHistory HistoryDB = new IOMessageBrowsingHistory();
+            IORecordKey RecordDB = new IORecordKey();
             try
             {
-                mbdDB.connect();
-                mbdDB.beginTran();
+                DataDB.connect(); DataDB.beginTran();
+                TergetDB.connect(); TergetDB.beginTran();
+                HistoryDB.connect(); HistoryDB.beginTran();
+                RecordDB.connect(); RecordDB.beginTran();
 
-                mbtDB.connect();
-                mbtDB.beginTran();
-
                 MessageBoardData work = new MessageBoardData();
 
                 // メッセージの状態でキーを作成する
                 if (lblMode.Text == s_ModeString[0])
                 {   // 新規メッセージの時
-                    m_RecordNumber = mbdDB.SelectMaxMessageBoardDataKeyCount("", false) + 1;
+                    m_RecordNumber = IOMessageBoardData.GetNewRecordNumber(DataDB, TergetDB, HistoryDB, RecordDB
+                                                                        , (int)RecordKey.KeyNoDef.MessageKey, false);
                 }
                 else if (lblMode.Text == s_ModeString[2])
                 {   // 返信：新規
-                    m_BranchNumber = mbdDB.SelectMaxMessageBoardDataBranchKeyCount(m_RecordNumber, false) + 1;
+                    m_BranchNumber = DataDB.GetMaxBranchNumber(m_RecordNumber, false) + 1;
                 }
                 // キーコードセット
                 work.RecordNumber = m_RecordNumber;
@@ -640,8 +642,8 @@
                 work.BranchNumber = m_BranchNumber;
 
                 List<MessageBoardData> data = new List<MessageBoardData>();
-                string strWhere = mbdDB.CreatePrimarykeyString(work.RecordNumber, work.BranchNumber);
-                if (!mbdDB.SelectAction(strWhere, ref data, false))
+                string strWhere = DataDB.CreatePrimarykeyString(work.RecordNumber, work.BranchNumber);
+                if (!DataDB.SelectAction(strWhere, ref data, false))
                 {
                     MessageBox.Show("登録確認に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                     return false;
@@ -661,11 +663,13 @@
                     data.Clear();
                     data.Add(work);
                     // データ登録
-                    if (!mbdDB.InsertAction(data, false))
+                    if (!DataDB.InsertAction(data, false))
                     {
                         MessageBox.Show("登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        mbdDB.rollback();
-                        mbtDB.rollback();
+                        DataDB.rollback();
+                        TergetDB.rollback();
+                        HistoryDB.rollback();
+                        RecordDB.rollback();
                         return false;
                     }
                 }
@@ -673,17 +677,24 @@
                 {
                     // データがある場合
                     // データ更新
-                    if (!mbdDB.UpdateAction(strWhere, work, false))
+                    if (!DataDB.UpdateAction(strWhere, work, false))
                     {
                         MessageBox.Show("メッセージ登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        mbdDB.rollback();
-                        mbtDB.rollback();
+                        DataDB.rollback();
+                        TergetDB.rollback();
+                        HistoryDB.rollback();
+                        RecordDB.rollback();
                         return false;
                     }
                 }
 
-                string strMBT = mbtDB.CreatePrimarykeyString(work.RecordNumber, work.BranchNumber);
-                mbtDB.DeleteAction(strMBT, false);
+                if (lblMode.Text != s_ModeString[0])
+                {   // 新規メッセージ以外の時
+                    StringBuilder strMBT = new StringBuilder();
+                    strMBT.AppendFormat(TergetDB.CreatePrimarykeyString(m_RecordNumber, m_BranchNumber));
+                    TergetDB.DeleteAction(strMBT.ToString(), false);
+                }
+                
                 // 対象者書込み
                 List<MessageBoardTerget> terList = new List<MessageBoardTerget>();
                 int icnt = 0;
@@ -701,16 +712,20 @@
                     terList.Add(wrkTer);
                 }
                 // データ登録
-                if (!mbtDB.InsertAction(terList, false))
+                if (!TergetDB.InsertAction(terList, false))
                 {
                     MessageBox.Show("対象者登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                    mbdDB.rollback();
-                    mbtDB.rollback();
+                    DataDB.rollback();
+                    TergetDB.rollback();
+                    HistoryDB.rollback();
+                    RecordDB.rollback();
                     return false;
                 }
 
-                mbdDB.commit();
-                mbtDB.commit();
+                DataDB.commit();
+                TergetDB.commit();
+                HistoryDB.commit();
+                RecordDB.commit();
 
                 return true;
             }
@@ -721,8 +736,10 @@
             }
             finally
             {
-                mbdDB.close(); mbdDB = null;
-                mbtDB.close(); mbtDB = null;
+                DataDB.close(); DataDB = null;
+                TergetDB.close(); TergetDB = null;
+                HistoryDB.close(); HistoryDB = null;
+                RecordDB.close(); RecordDB = null;
             }
         }
         #endregion
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmTyingConstrDiag.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmTyingConstrDiag.cs	(revision 363)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmTyingConstrDiag.cs	(revision 364)
@@ -330,9 +330,9 @@
                 else if (BaseList.Count == 1)
                 {
                     // 1件しかない場合は一覧を表示しない
-                    object[] Onece = (object[])BaseList[0];
+                    object[] Once = (object[])BaseList[0];
                     // 工事番号取得
-                    m_ConstructionCode = CommonMotions.cnvInt(Onece[0]);
+                    m_ConstructionCode = CommonMotions.cnvInt(Once[0]);
                     m_EndButton = DialogResult.OK;
                     this.Close();
                     return;
Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 363)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 364)
@@ -2508,21 +2508,11 @@
                 }
                 strSQL.Append(" AND B.RECORDNUMBER = A.RECORDNUMBER");
                 strSQL.Append(" AND B.BRANCHNUMBER = A.BRANCHNUMBER");
-                if (exeflg == (int)TabNameEnum.MessageBoard)
-                {
-                    strSQL.Append(" Order By");
-                    strSQL.Append(" A.RecordNumber Desc");
-                    strSQL.Append(", A.BranchNumber Asc");
-                    strSQL.Append(", B.SeqNum ASC");
 
-                }
-                else
-                {   // 掲示板データ
-                    strSQL.Append(" Order By");
-                    strSQL.Append(" A.WritingDate Desc");
-                    strSQL.Append(", A.MessageTitile Asc");
-                    strSQL.Append(", B.SeqNum ASC");
-                }
+                strSQL.Append(" Order By");
+                strSQL.Append(" A.WritingDate Desc");
+                strSQL.Append(", A.MessageTitile Asc");
+                strSQL.Append(", B.SeqNum ASC");
             }
             catch (Exception ex)
             {
Index: branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 363)
+++ branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 364)
@@ -153,6 +153,7 @@
     <Compile Include="DataModel\CostDataOfDepartment.cs" />
     <Compile Include="DataModel\DepartmentCostData.cs" />
     <Compile Include="DataModel\BudgetSumCode.cs" />
+    <Compile Include="DataModel\RecordKey.cs" />
     <Compile Include="DataModel\PersonExpensesCost.cs" />
     <Compile Include="DataModel\SalaryClass.cs" />
     <Compile Include="DataModel\GridCellStyleMember.cs" />
@@ -279,6 +280,7 @@
     <Compile Include="DB\IOAccess\IOSubConstrJobItemRegist.cs" />
     <Compile Include="DB\IOAccess\IOSubConstrJobLinkRegist.cs" />
     <Compile Include="DB\IOAccess\IOSubConstrRegist.cs" />
+    <Compile Include="DB\IOAccess\IORecordKey.cs" />
     <Compile Include="DB\IOAccess\IOTranceportDailyData.cs" />
     <Compile Include="DB\MySql\MySqlProcess.cs" />
     <Compile Include="Forms\DataEntry\ApprovalPerson\FrmApprovalPerson.cs">
Index: branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 363)
+++ branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 364)
@@ -32,7 +32,7 @@
 // すべての値を指定するか、下のように '*' を使ってビルドおよびリビジョン番号を 
 // 既定値にすることができます:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("1.0.1.216")]
-[assembly: AssemblyFileVersion("1.0.1.216")]
+[assembly: AssemblyVersion("1.0.1.217")]
+[assembly: AssemblyFileVersion("1.0.1.217")]
 // Log4netを使用する
 [assembly: log4net.Config.XmlConfigurator(ConfigFile = @"log4net.config", Watch = true)]
\ No newline at end of file
